%define		_zathura_api_ver	%(pkg-config --variable=apiversion zathura 2> /dev/null || echo -1)
%define		_zathura_abi_ver	%(pkg-config --variable=abiversion zathura 2> /dev/null || echo -1)

Summary:	poppler based PDF plugin for zathura
Summary(pl.UTF-8):	Wtyczka PDF do zathury oparta na bibliotece poppler
Name:		zathura-pdf-poppler
Version:	0.3.3
Release:	1
License:	BSD-like
Group:		Applications/Publishing
Source0:	https://pwmt.org/projects/zathura-pdf-poppler/download/%{name}-%{version}.tar.xz
# Source0-md5:	732930b4e945357e472ed542cad62284
URL:		https://pwmt.org/projects/zathura/zathura-pdf-poppler/
BuildRequires:	cairo-devel
# C17
BuildRequires:	gcc >= 6:8.1
BuildRequires:	girara-devel >= 0.1.8
BuildRequires:	gtk+3-devel >= 3.2
BuildRequires:	meson >= 0.61
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 21.12
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zathura-devel >= 0.5.3
Requires(post,postun):	desktop-file-utils
Requires:	girara >= 0.1.8
Requires:	gtk+3 >= 3.2
Requires:	poppler-glib >= 21.12
Requires:	zathura >= 0.5.3
Requires:	zathura(plugin-abi) = %_zathura_abi_ver
Requires:	zathura(plugin-api) = %_zathura_api_ver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The zathura-pdf-poppler plugin adds PDF support to zathura by using
the poppler rendering engine.

%description -l pl.UTF-8
Wtyczka zathura-pdf-poppler dodaje obsługę PDF do zathury przez użycie
silnika renderującego poppler.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.md
%attr(755,root,root) %{_libdir}/zathura/libpdf-poppler.so
%{_desktopdir}/org.pwmt.zathura-pdf-poppler.desktop
%{_datadir}/metainfo/org.pwmt.zathura-pdf-poppler.metainfo.xml
%changelog
* Tue Aug 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zathura-pdf-poppler.git;a=log;h=master

* Tue Aug 13 2024 Jan Palus <atler@pld-linux.org> 7e9762b
- failsafe api/abi query

* Sun Aug 04 2024 Jan Palus <atler@pld-linux.org> f77913a
- strict plugin api/abi R:

* Sun Aug 04 2024 Jan Palus <atler@pld-linux.org> c8c4ee8
- up to 0.3.3

* Sat May 11 2024 Jan Palus <atler@pld-linux.org> 81530e5
- girara 0.4.4 rebuild

* Sat Dec 09 2023 Jakub Bogusz <qboosh@pld-linux.org> a225d1a
- updated C std comment

* Sat Dec 09 2023 Jan Palus <atler@pld-linux.org> e2bd4b6
- up to 0.3.2

* Mon Nov 28 2022 Jan Palus <atler@pld-linux.org> 04f614c
- BRs for tar.xz source

* Mon Nov 28 2022 Jan Palus <atler@pld-linux.org> 1a8261e
- updated deprecated meson macros

* Mon Nov 28 2022 Jan Palus <atler@pld-linux.org> cf6720f
- up to 0.3.1

* Wed Jan 08 2020 Jan Palus <atler@pld-linux.org> b56f017
- up to 0.3.0

* Mon Oct 22 2018 Jan Palus <atler@pld-linux.org> 052e39c
- add %update_desktop_database_post*

* Sun Oct 21 2018 Jakub Bogusz <qboosh@pld-linux.org> a3bf1a3
- updated Source URL

* Tue Oct 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 8c829ac
- pl, gcc version

* Sun Mar 18 2018 Jan Palus <atler@pld-linux.org> b5185b2
- up to 0.2.9

* Thu Dec 21 2017 Jan Palus <atler@pld-linux.org> 3a2a34e
- up to 0.2.8

* Thu Jan 12 2017 Jan Palus <atler@pld-linux.org> a84dc2b
- up to 0.2.7

* Mon Dec 28 2015 Jan Palus <atler@pld-linux.org> 90bcdf3
- up to 0.2.6

* Tue Apr 14 2015 Jan Palus <atler@pld-linux.org> 7fe6589
- release 2 (by relup.sh)

* Mon Feb 17 2014 Jan Palus <jan.palus@gmail.com> 7ba7802
- up to 0.2.5

* Sat Nov 09 2013 Jan Palus <jan.palus@gmail.com> 7d84f58
- up to 0.2.4

